use crate::snow::SnowLayer;
use crate::world::World;

pub fn snow_system(world: &World, snow_layer: &mut SnowLayer, noclip: bool)
{
    let camera_pos = world.active_camera_position();
    let player_pos = world.player_position();
    if !noclip
    {
        snow_layer.deform_at_position(player_pos, 1.5, 10.0);
    }
    snow_layer.update(camera_pos);
}
